textproc/p5-Template-Tiny - The NetBSD Packages Collection

Template Toolkit reimplemented in as little code as possible

Template::Tiny is a reimplementation of a partial subset of the Template
Toolkit, in as few lines of code as possible.

It is intended for use in light-usage, low-memory, or low-cpu templating
situations, where you may need to upgrade to the full feature set in the
future, or if you want the familiarity of TT-style templates.

It is intended to have fully-compatible template and stash usage, with a
limited by similar Perl API.

Unlike Template Toolkit, Template::Tiny will process templates without a
compile phase (but despite this is still quicker, owing to heavy use of
the Perl regular expression engine.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

devel/p5-Capture-Tiny lang/perl5 lang/perl5

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfp5-Template-Tiny-1.12nb9.tgz
NetBSD 8.0earmv7hfp5-Template-Tiny-1.12nb9.tgz
NetBSD 8.0earmv7hfp5-Template-Tiny-1.12nb9.tgz
NetBSD 8.0i386p5-Template-Tiny-1.12nb9.tgz
NetBSD 8.0i386p5-Template-Tiny-1.12nb9.tgz
NetBSD 8.0i386p5-Template-Tiny-1.12nb9.tgz
NetBSD 8.0powerpcp5-Template-Tiny-1.12nb9.tgz
NetBSD 8.0powerpcp5-Template-Tiny-1.12nb9.tgz
NetBSD 8.0powerpcp5-Template-Tiny-1.12nb9.tgz
NetBSD 8.0powerpcp5-Template-Tiny-1.12nb9.tgz
NetBSD 8.0x86_64p5-Template-Tiny-1.12nb9.tgz
NetBSD 8.0x86_64p5-Template-Tiny-1.12nb9.tgz
NetBSD 8.0x86_64p5-Template-Tiny-1.12nb9.tgz
NetBSD 9.0aarch64p5-Template-Tiny-1.12nb9.tgz
NetBSD 9.0aarch64p5-Template-Tiny-1.12nb9.tgz
NetBSD 9.0aarch64p5-Template-Tiny-1.12nb9.tgz
NetBSD 9.0alphap5-Template-Tiny-1.12nb9.tgz
NetBSD 9.0alphap5-Template-Tiny-1.12nb9.tgz
NetBSD 9.0alphap5-Template-Tiny-1.12nb9.tgz
NetBSD 9.0earmp5-Template-Tiny-1.12nb9.tgz
NetBSD 9.0earmp5-Template-Tiny-1.12nb9.tgz
NetBSD 9.0earmp5-Template-Tiny-1.12nb9.tgz
NetBSD 9.0earmv6hfp5-Template-Tiny-1.12nb9.tgz
NetBSD 9.0earmv6hfp5-Template-Tiny-1.12nb9.tgz
NetBSD 9.0earmv6hfp5-Template-Tiny-1.12nb9.tgz
NetBSD 9.0earmv6hfp5-Template-Tiny-1.12nb9.tgz
NetBSD 9.0earmv7hfp5-Template-Tiny-1.12nb9.tgz
NetBSD 9.0earmv7hfp5-Template-Tiny-1.12nb9.tgz
NetBSD 9.0earmv7hfp5-Template-Tiny-1.12nb9.tgz
NetBSD 9.0earmv7hfp5-Template-Tiny-1.12nb9.tgz
NetBSD 9.0earmv7hfp5-Template-Tiny-1.12nb9.tgz
NetBSD 9.0i386p5-Template-Tiny-1.12nb9.tgz
NetBSD 9.0i386p5-Template-Tiny-1.12nb9.tgz
NetBSD 9.0i386p5-Template-Tiny-1.12nb9.tgz
NetBSD 9.0m68kp5-Template-Tiny-1.12nb9.tgz
NetBSD 9.0m68kp5-Template-Tiny-1.12nb9.tgz
NetBSD 9.0m68kp5-Template-Tiny-1.12nb9.tgz
NetBSD 9.0mips64ebp5-Template-Tiny-1.12nb9.tgz
NetBSD 9.0mips64ebp5-Template-Tiny-1.12nb9.tgz
NetBSD 9.0mips64ebp5-Template-Tiny-1.12nb9.tgz
NetBSD 9.0mipselp5-Template-Tiny-1.12nb9.tgz
NetBSD 9.0mipselp5-Template-Tiny-1.12nb9.tgz
NetBSD 9.0powerpcp5-Template-Tiny-1.12nb9.tgz
NetBSD 9.0powerpcp5-Template-Tiny-1.12nb9.tgz
NetBSD 9.0powerpcp5-Template-Tiny-1.12nb9.tgz
NetBSD 9.0powerpcp5-Template-Tiny-1.12nb9.tgz
NetBSD 9.0sh3elp5-Template-Tiny-1.12nb9.tgz
NetBSD 9.0sh3elp5-Template-Tiny-1.12nb9.tgz
NetBSD 9.0sh3elp5-Template-Tiny-1.12nb9.tgz
NetBSD 9.0sparc64p5-Template-Tiny-1.12nb9.tgz
NetBSD 9.0sparc64p5-Template-Tiny-1.12nb8.tgz
NetBSD 9.0sparc64p5-Template-Tiny-1.12nb9.tgz
NetBSD 9.0sparc64p5-Template-Tiny-1.12nb9.tgz
NetBSD 9.0sparcp5-Template-Tiny-1.12nb9.tgz
NetBSD 9.0sparcp5-Template-Tiny-1.12nb9.tgz
NetBSD 9.0sparcp5-Template-Tiny-1.12nb9.tgz
NetBSD 9.0vaxp5-Template-Tiny-1.12nb9.tgz
NetBSD 9.0vaxp5-Template-Tiny-1.12nb9.tgz
NetBSD 9.0x86_64p5-Template-Tiny-1.12nb9.tgz
NetBSD 9.0x86_64p5-Template-Tiny-1.12nb9.tgz
NetBSD 9.0x86_64p5-Template-Tiny-1.12nb9.tgz
NetBSD 9.0x86_64p5-Template-Tiny-1.12nb9.tgz
NetBSD 9.0x86_64p5-Template-Tiny-1.12nb9.tgz
NetBSD 9.0x86_64p5-Template-Tiny-1.12nb9.tgz
NetBSD 9.0x86_64p5-Template-Tiny-1.12nb9.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.